LibreOffice: CellValueBinding Service Reference

LibreOffice LibreOffice 6.0 SDK API Reference

Included Services | Exported Interfaces | Public Attributes | List of all members
CellValueBinding Service Reference

defines the binding to a single cell in a table document More...

`import"CellValueBinding.idl";`

Inheritance diagram for CellValueBinding:

## Included Services
service | com::sun::star::form::binding::ValueBinding
| ensures the basic functionality for binding to a value More...

## Exported Interfaces
interface | com::sun::star::util::XModifyBroadcaster
| allows notifications of changes in the content of the underlying cell. More...
interface | com::sun::star::lang::XInitialization
| allows setting initial, creation-time properties of the component More...
Exported Interfaces inherited from ValueBinding
interface | com::sun::star::beans::XPropertySet
| allows access to the properties of the binding More...
interface | XValueBinding
| allows read and write access to the value represented by this binding More...
interface | com::sun::star::util::XModifyBroadcaster
| allows other components to be notified when the value represented by the ValueBinding instance changes. More...
interface | com::sun::star::lang::XComponent
| allows life time control for the component More...

## Public Attributes
com::sun::star::table::CellAddress | BoundCell
| specifies the cell within a document whose value is reflected by the binding. More...
Public Attributes inherited from ValueBinding
boolean | ReadOnly
| determines whether the value is currently readonly More...
boolean | Relevant
| determines the relevance of the value represented by the binding More...

## Additional Inherited Members
Public Member Functions inherited from XValueBinding
sequence< type > | getSupportedValueTypes ()
| determines the types which are supported by this binding for value exchange More...
boolean | supportsType ([in] type aType)
| determines whether a given type is supported by this binding for value exchange More...
any | getValue ([in] type aType) raises ( IncompatibleTypesException )
| retrieves the current value More...
void | setValue ([in] any aValue) raises ( IncompatibleTypesException, InvalidBindingStateException, com::sun::star::lang::NoSupportException )
| sets the current value More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XValueBinding
sequence< type > | getSupportedValueTypes ()
| determines the types which are supported by this binding for value exchange More...
boolean | supportsType ([in] type aType)
| determines whether a given type is supported by this binding for value exchange More...
any | getValue ([in] type aType) raises ( IncompatibleTypesException )
| retrieves the current value More...
void | setValue ([in] any aValue) raises ( IncompatibleTypesException, InvalidBindingStateException, com::sun::star::lang::NoSupportException )
| sets the current value More...
Protected Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified." More...
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener. More...
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...

## Detailed Description

defines the binding to a single cell in a table document

Read/Write access to the cell represented by this component is supported, as well as active broadcasting of value changes.

The binding supports exchanging double values, string values.

The component cannot be instantiated at a global service factory, instead it's usually provided by a document instance.

See also
  com::sun::star::document::OfficeDocument

## Exported Interfaces

## ◆ com::sun::star::form::binding::ValueBinding

service com::sun::star::form::binding::ValueBinding

ensures the basic functionality for binding to a value

## Exported Interfaces

## ◆ com::sun::star::lang::XInitialization

interface com::sun::star::lang::XInitialization

allows setting initial, creation-time properties of the component

This interface is used to initialize the component after creation. It has to be used exactly once in the life time of the component, every second call to com::sun::star::lang::XInitialization::initialize() will throw an exception.

The arguments passed to the com::sun::star::lang::XInitialization::initialize() method must be instances of com::sun::star::beans::NamedValue, where the com::sun::star::beans::NamedValue::Name denotes the type of information to initialize, and the com::sun::star::beans::NamedValue::Value the initial value.

The following aspects of the components can be initialized:

- BoundCell
  specifies the address of the cell to bind this instance to. Must be a com::sun::star::table::CellAddress instance.

## ◆ com::sun::star::util::XModifyBroadcaster

interface com::sun::star::util::XModifyBroadcaster

allows notifications of changes in the content of the underlying cell.

Note that this interface is already optionally allowed in the underlying service (com::sun::star::form::binding::ValueBinding), but it loses it's optionality here.

## Member Data Documentation

## ◆ BoundCell

com::sun::star::table::CellAddress BoundCell
| propertyreadonlybound

specifies the cell within a document whose value is reflected by the binding.

The documentation for this service was generated from the following file:

- com/sun/star/table/CellValueBinding.idl